﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <!-- Thêm thư viện moment.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

    <script src="/assets/js/vendor/bootstrap-datepicker.min.js"></script>
    <script src="/controller/invoice/invoice.js" asp-append-version="true"></script>
    <script>
        $(function () {
            // Thiết lập datetimepicker Bootstrap với định dạng ngày giờ theo ngày Việt Nam
            $(".datetimepicker").datepicker({
                format: 'dd-mm-yyyy'
            });
        });
    </script>

}

@section Styles{
    <link href="/assets/css/vendor/bootstrap-datepicker.min.css" rel="stylesheet" />
    <link href="/lib/template-admin/ckeditor/skins/moono/editor.css" rel="stylesheet" />
    <style>
        .form-check {
            margin-bottom: 5px !important;
        }

        .form-check-input {
            cursor: pointer;
        }
    </style>
}
<div class="container-fluid">
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="card" style="margin-top:20px;">
                <div class="card-body" id="apply-payment">
                    @{
                        if (resultCreate.Succeeded)
                        {
                            <a onclick="SavePayment()" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                        }
                    }
                    <a href="/cpanel/invoice/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin invoice</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông invoice
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtInvoiceCode" class="lh-38">Mã Invoice <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="hidden" id="txtInvoiceId" name="txtInvoiceId" class="form-control" required />
                                    <input type="text" id="txtInvoiceCode" name="txtInvoiceCode" class="form-control" placeholder="Mã invoice" required />
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtInvoiceName" class="lh-38">Tên Invoice <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" id="txtInvoiceName" name="txtInvoiceName" class="form-control" placeholder="Tên invoice" required />
                                </div>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div>

        </div>

        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin chung</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông chung
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlCIPLs" class="lh-38">CIPL<span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-control select2" id="ddlCIPLs" onchange="CIPLChange()" data-toggle="select2">
                                    </select>
                                </div>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0" id="tblProducts">
                            <thead class="table-light">
                                <tr>
                                    <th style="text-align:center">Sản phẩm</th>
                                    <th style="text-align:center">Item</th>
                                    <th style="text-align:center">Màu</th>
                                    <th style="text-align:center">Số lượng</th>
                                    <th style="text-align:center">Đơn giá</th>
                                    <th style="text-align:center">Deposit</th>
                                    <th style="text-align:center">Tổng tiền</th>
                                    @*<th style="text-align:center">Action</th>*@
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <div class="box-money">
                            <div class="mb-1"><b>Tổng Deposit:</b> <span id="spanTotalDeposit"></span> </div>
                            <div><b>Tổng tiền:</b> <span id="spanTotalMoney"></span></div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
</div>


